import './Cell.styles_pup0ak.css';
import { styled } from '@linaria/react';
import { tableTokens } from '../../Table.tokens.js';

var _exp = function _exp() {
  return function (_ref) {
    var selectionCell = _ref.selectionCell;
    return selectionCell ? "var(".concat(tableTokens.checkboxCellPadding, ")") : "var(".concat(tableTokens.cellPadding, ")");
  };
};
var _exp3 = function _exp3() {
  return function (_ref2) {
    var selected = _ref2.selected,
      borderVariant = _ref2.borderVariant,
      view = _ref2.view;
    return (
      // eslint-disable-next-line no-nested-ternary
      borderVariant === 'all' && view !== 'clear' ? "var(".concat(tableTokens.borderColor, ")") : selected ? 'var(--surface-transparent-accent)' : 'transparent'
    );
  };
};
var _exp4 = function _exp4() {
  return function (_ref3) {
    var borderVariant = _ref3.borderVariant;
    return borderVariant === 'all' || borderVariant === 'rows' ? "var(".concat(tableTokens.borderColor, ")") : 'transparent';
  };
};
var Td = /*#__PURE__*/styled('td')({
  name: "Td",
  "class": "t1hdnmlh",
  propsAsIs: false,
  vars: {
    "t1hdnmlh-0": [/*#__PURE__*/_exp()],
    "t1hdnmlh-1": [/*#__PURE__*/_exp3()],
    "t1hdnmlh-2": [/*#__PURE__*/_exp4()]
  }
});

export { Td };
